Articles of instalación de

rpy2: compruebe si el paquete está instalado

Usando rpy2 , quiero verificar si un paquete dado está instalado. Si lo es, lo importo. Si no, lo instalo primero. ¿Cómo compruebo si está instalado? from rpy2 import * if not *my package is installed*: rpy2.interactive as r r.importr(“utils”) package_name = “my_package” r.packages.utils.install_packages(package_name) myPackage = importr(“my_package”)

Cómo cambiar la ruta de instalación de pip

Estoy usando Mac. Mi ruta de instalación de pip es /Library/Python/2.7/site-packages . ¿Cómo lo cambio a ~/anaconda/lib/python2.7/site-packages/ ? A menudo, el paquete instalado por pip no será encontrado por mi portátil jupyter y es por eso que quiero cambiar la ruta. Aprecio tu ayuda. Otras soluciones para instalar correctamente los paquetes son bienvenidas.

¿Por qué recibo un error en la última línea de instalación de Pylons 1.0 con easy_install y Python 2.7 en Windows Vista 64?

Intenté instalar Pylons 1.0 con Python 2.7 usando el comando easy_install en Windows Vista 64 pero obtuve el error: raise ValueError(str(list(result.keys()))) ValueError: [u’path’] Aquí está el enlace a todo el proceso de instalación desde el símbolo del sistema http://pastie.org/1190341 ¿Por qué me sale este error? ¿Cómo lo resuelvo? ¿Funcionarán los pilones a pesar de haber […]

¿Cómo actualizar la versión de Python?

Tenía Python2.6 en mi Windows 7 y acabo de instalar Python2.7. Como resultado tengo “C: \ Python26” y “C: \ Python27”. Mi problema es que el sistema todavía intenta usar la versión anterior. Por ejemplo, si Python –version obtengo “Python 2.6.4”. O, si trato de instalar “numpy”, encuentra la versión anterior y no me permite […]

Instalación de matplotlib y sus dependencias sin privilegios de root

Quiero usar matplotlib en un servidor donde tengo una cuenta /myhome sin privilegios de root. Descargué las fonts de matplotlib e intenté instalarlas usando los nombres de usuario con el esquema del usuario, por ejemplo, python setup.py install –user , pero devolvió el siguiente mensaje: ============================================================================ Edit setup.cfg to change the build options BUILDING MATPLOTLIB […]

Error “No se puede encontrar vcvarsall.bat” al intentar instalar qrcode-0.2.1

Por favor ayúdame a resolver este error. C:\Python26\Lib\site-packages\pyqrcode\encoder>python setup.py install running install running bdist_egg running egg_info writing qrcode.egg-info\PKG-INFO writing top-level names to qrcode.egg-info\top_level.txt writing dependency_links to qrcode.egg-info\dependency_links.txt package init file ‘qrcode\__init__.py’ not found (or not a regular file) writing manifest file ‘qrcode.egg-info\SOURCES.txt’ installing library code to build\bdist.win32\egg running install_lib running build_py running build_ext building ‘qrcode.Encoder’ […]

Instalación de módulos binarios de Python en una ubicación personalizada en Windows

Supongamos que quiero instalar un módulo binario para Python en Windows. Supongamos que el módulo se distribuye como un instalador pre-construido xxx-nnnwin32-py2.7.exe , preparado usando distutils. Mi problema es que el instalador insiste en instalar el paquete en cualquier directorio de Python que encuentre en el registro. Sin embargo, tengo este pequeño directorio “portátil” de […]

Estoy teniendo muchos problemas al instalar xlrd 0.9.2 para python

¿Puede alguien darme una guía para idiotas? Estoy algo fuera de mi profundidad aquí. Hasta ahora he descargado xlrd 0.9.2 y he intentado seguir el archivo Léame, pero ni yo ni ctrl-f podemos encontrar el instalador mencionado.

Error de importación de Python para los módulos instalados con Homebrew

Ya instalé PySide usando homebrew, pero recibo un error cuando mis scripts ejecutan cosas como from PySide import QtWebKit Cuando bash brew install pyside recibo un error que pyside-1.2.0 already installed Cuando bash pip install pyside , pip install pyside el siguiente error: In file included from /Users/fitvalet/wgwt/env/build/pyside/sources/pyside/plugins/customwidgets.cpp:23: /Users/fitvalet/wgwt/env/build/pyside/sources/pyside/plugins/customwidget.h:27:10: fatal error: ‘QtDesigner/QtDesigner’ file not found […]

Obligando a `pip` a recomstackr un paquete previamente instalado (numpy) después de cambiar a un binario Python diferente

Esta pregunta es tanto una pregunta sobre mi problema particular (que en cierto modo encontré una solución alternativa, por lo que no es un problema candente), sino sobre el proceso general que estoy usando. Configuración (la parte que funciona): Tengo Python 2.7.9 instalado localmente en mi Ubuntu 14.04, y tengo un virtualenv en el que […]